summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Jan F. Chadima <jfch@jagda.eu>2018-05-24 22:56:28 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-05-26 06:59:26 +0700
commitf066b2a8ebf20ca1b23c103372fad5ac4b3f799a (patch)
treec2fc8287fa75f86b942003e2ee424f999c2eb9bf /system
parentb5a49c07e1c7e6be81a098312bbf175daaf6c28f (diff)
downloadslackbuilds-f066b2a8ebf20ca1b23c103372fad5ac4b3f799a.tar.gz
slackbuilds-f066b2a8ebf20ca1b23c103372fad5ac4b3f799a.tar.xz
system/klish: Added (clish fork).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/klish/README4
-rw-r--r--system/klish/klish.SlackBuild112
-rw-r--r--system/klish/klish.info10
-rw-r--r--system/klish/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/system/klish/README b/system/klish/README
new file mode 100644
index 0000000000..37fe98fd0d
--- /dev/null
+++ b/system/klish/README
@@ -0,0 +1,4 @@
+The klish is a framework for implementing a CISCO-like CLI
+on a UNIX systems. It is configurable by XML files. The
+KLISH stands for Kommand Line Interface Shell. I know that
+"command" starts with "c" :) .
diff --git a/system/klish/klish.SlackBuild b/system/klish/klish.SlackBuild
new file mode 100644
index 0000000000..d3939a9f9c
--- /dev/null
+++ b/system/klish/klish.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for klish
+
+# Copyright 2018 Jan F. CXhadima <jfch@jagda.eu>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=klish
+VERSION=${VERSION:-2.1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-lua \
+ --with-libxml2 \
+ --with-linxslt \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man{1,8}
+export LD_LIBRARY_PATH="$PKG/usr/lib${LIBDIRSUFFIX}:$LD_LIBRARY_PATH"
+help2man $PKG/usr/bin/clish > $PKG/usr/man/man1/clish.1
+help2man $PKG/usr/bin/konf > $PKG/usr/man/man1/konf.1
+help2man $PKG/usr/bin/sigexec > $PKG/usr/man/man1/sigexec.1
+help2man -s 8 $PKG/usr/bin/konfd > $PKG/usr/man/man8/konfd.8
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES LICENCE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/klish/klish.info b/system/klish/klish.info
new file mode 100644
index 0000000000..e7a675c544
--- /dev/null
+++ b/system/klish/klish.info
@@ -0,0 +1,10 @@
+PRGNAM="klish"
+VERSION="2.1.4"
+HOMEPAGE="http://libcode.org/projects/klish"
+DOWNLOAD="http://libcode.org/attachments/download/70/klish-2.1.4.tar.xz"
+MD5SUM="57a0b39b6e0a450007ee9e0b2ff50f03"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Jan F. Chadima"
+EMAIL="jfch@jagda.eu"
diff --git a/system/klish/slack-desc b/system/klish/slack-desc
new file mode 100644
index 0000000000..733cdd7249
--- /dev/null
+++ b/system/klish/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+klish: klish (clish fork)
+klish:
+klish: A modular framework for implementing a CISCO-like CLI on a *NIX
+klish: system. Arbitary command menus and actions can be defined using
+klish: XML files. This software handles the user interaction, and forks
+klish: the appropriate system commands to perform any actions.
+klish:
+klish:
+klish:
+klish:
+klish: